/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#include	"pdb.h"


void	change_endian_header();
void	change_endian_file_header();
void	change_endian_2d_draw_header();
void	change_endian_lod_list_to_net();
void	change_endian_tree_node_to_net();
void	change_endian_lod_list_to_host();
void	change_endian_tree_node_to_host();
void	change_endian_polygon2d();
void	change_endian_poly_point();
void	change_endian_poly_end();
void	change_endian_lno_poly_point();

void (*change_endian_table_to_net[])() = {
	change_endian_header,
	change_endian_file_header,
	change_endian_2d_draw_header,
	change_endian_lod_list_to_net,
	change_endian_tree_node_to_net,
	change_endian_polygon2d,
	change_endian_poly_point,
	change_endian_poly_end,
	change_endian_lno_poly_point
};

void (*change_endian_table_to_host[])() = {
	change_endian_header,
	change_endian_file_header,
	change_endian_2d_draw_header,
	change_endian_lod_list_to_host,
	change_endian_tree_node_to_host,
	change_endian_polygon2d,
	change_endian_poly_point,
	change_endian_poly_end,
	change_endian_lno_poly_point
};

